html {
  scroll-behavior: smooth;
}

body {
  margin: 0;
  padding: 0;
  text-align: center;
  align-items: center;
  font-family: "Poppins", sans-serif;
  background-color: #350166;
  position: sticky;
}

body::selection {
  color: #4b1d80;
  background-color: #dfdfdf;
  text-shadow: 2px 2px #000000;
}

body::-webkit-scrollbar {
  width: 0rem;
}
body::-webkit-scrollbar-track {
  background: #230c3d;
}

body::-webkit-scrollbar-thumb {
  background: #430985;
}
body::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(#2196f3, #796a6f);
  clip-path: circle(20% at 10% 10%);
}

body::before {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(#f00, #f0f);
  clip-path: circle(30% at right 90%);
}

/* Alert  */
.alert {
  box-shadow: 20px 20px 50px rgba(0, 0, 0, 0.5);
  background: rgba(255, 255, 255, 0.1);
  overflow: hidden;
  text-align: left;
  color: rgb(221, 221, 221);
  backdrop-filter: blur(10px);
  z-index: 2;
  border: none;
}

.btn-close {
  border: 1px solid rgb(221, 221, 221);
  height: 10px;
  width: 10px;
}

/* Nav Bar  */

nav {
  display: flex;
  justify-content: space-around;
  align-items: center;
  min-height: 8vh;
  background-color: #64408d;
  z-index: 1;
}

.navbar {
  box-shadow: 20px 20px 50px rgba(0, 0, 0, 0.5);
  background: hsla(0, 0%, 100%, 0.102);
  overflow: hidden;
  justify-content: center;
  align-items: center;
  text-align: center;
  backdrop-filter: blur(10px);
  border-radius: 0 0 12px 12px;
}
.navbar-brand {
  color: rgb(221, 221, 221);
  font-size: 1.5rem;
}

.navbar-nav {
  display: flex;
  justify-content: space-around;
  width: 45%;
  position: relative;
}

.navbar-nav .nav-item {
  list-style-type: none;
  color: rgb(221, 221, 221);
}

.nav-link {
  color: rgb(221, 221, 221);
  text-decoration: none;
  letter-spacing: 1.5px;
  font-weight: bolder;
  font-size: 14px;
}
.navbar-toggler {
  background-image: rgb(221, 221, 221);
}

/* Cards  */
.main-card {
  position: relative;
  display: flex;
  justify-self: center;
  align-items: center;
  max-width: 2100px;
  flex-wrap: wrap;
  z-index: 1;
  justify-content: space-evenly;
}

.main-card .card {
  position: relative;
  width: 350px;
  height: 450px;
  margin: 30px;
  box-shadow: 20px 20px 50px rgba(0, 0, 0, 0.5);
  background: rgba(255, 255, 255, 0.1);
  border-radius: 15px;
  overflow: hidden;
  justify-content: center;
  align-items: center;
  text-align: center;
  border-top: 1px solid rgba(255, 255, 255, 0.5);
  border-left: 1px solid rgba(255, 255, 255, 0.5);
  backdrop-filter: blur(10px);
}

.main-card .card .content {
  padding: 20px;
  text-align: center;
  font-weight: 500;
}

.main-card .card .content h2 {
  font-size: 1.5rem;
  color: white;
  z-index: 1;
}

.main-card .card .content li {
  text-decoration: none;
  font-size: 1rem;
  color: white;
  font-weight: 500;
  transform: translateY(400px);
  opacity: 0;
  transition: 0.5s;
  text-align: left;
}

.link {
  list-style: none;
}

.link:first-child {
  margin-top: 40px;
}
.link:not(:last-child) {
  margin-bottom: 40px;
}
.main-card .card:hover .content li {
  transform: translateY(0);
  opacity: 1;
}

.main-card .card .content li a {
  text-align: center;
  width: 80px;
  padding: 8px 12px;
  background: white;
  color: black;
  border-radius: 20px;
  text-decoration: none;
  font-weight: 600;
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.3);
}

footer {
  padding: 1.5% 4%;
  z-index: 2;
  color: rgb(228, 228, 228);
}
footer span {
}
footer span a {
  text-decoration: none;
  color: #dfdfdf;
  font-size: 15px;
  z-index: 2;
  padding-right: 2%;
}

.footer {
  box-shadow: 20px 20px 50px rgba(0, 0, 0, 0.5);
  background: rgba(255, 255, 255, 0.1);
  overflow: hidden;
  justify-content: center;
  align-items: center;
  text-align: center;
  backdrop-filter: blur(10px);
  border-radius: 12px 12px 0 0;
}

@media screen and (max-width: 770px) {
  body::after {
    background: linear-gradient(#2196f3, #796a6f);
    clip-path: circle(20% at 6% 10%);
  }

  body::before {
    background: linear-gradient(#f00, #f0f);
    clip-path: circle(23% at right 90%);
  }

  .heading {
    text-align: center;
    padding-left: 5%;
  }
  .footer span a {
    color: #4b1d80;
  }
  .main-card .card .content li {
    font-size: 1rem;
  }
  .main-card .card .content li a {
    font-size: 0.8rem;
  }
}

@media screen and (max-width: 350px) {
  .heading {
    padding: 0;
    text-align: center;
  }
  .navbar-toggler {
    text-align: right;
    margin-left: 85%;
  }
}

